Package org.eclipse.net4j.util.ui.views

# Class IntrospectionProvider.NameAndValue

java.lang.Object
org.eclipse.net4j.util.ui.views.IntrospectionProvider.NameAndValue

Direct Known Subclasses:
  `RowIntrospectionProvider.Row`

Enclosing class:
  IntrospectionProvider

public static class IntrospectionProvider.NameAndValue extends Object

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`NameAndValue(int index, Object value)`
`NameAndValue(String name, Object value)`
`NameAndValue(Map.Entry<?,?> entry)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getName()`
`Object`
`getValue()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NameAndValue

public NameAndValue(String name, Object value)

### NameAndValue

public NameAndValue(int index, Object value)

### NameAndValue

public NameAndValue(Map.Entry<?,?> entry)

## Method Details

### getName

public String getName()

### getValue

public Object getValue()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`